콘텐츠로 건너뛰기

Vidu · Q2 · Video Extension · Pro

통합

모델 id vidu/q2/video-extension/pro
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vidu/q2/video-extension/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

예시와 같은 파일: $0.30 300 API 크레딧 · ≈ ₽32.27 실행 전에 파일을 측정합니다 이 페이지에서 실행

API 키 받기
Vidu · 동영상

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

0 / 3000

동영상 확장 방식을 안내하는 텍스트 지침입니다.

•필수 video_url
파일을 끌어다 놓거나

확장할 클립을 식별하는 동영상 URL입니다.

duration 4 s

추가할 세그먼트의 길이(초)입니다.

resolution 기본값 720p

결과 동영상의 해상도입니다.

고급 seed

생성을 재현 가능하게 하는 시드입니다. None으로 설정하면 무작위로 선택됩니다.

POST /run/vidu/q2/video-extension/pro?wait=20 견적 → $0.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vidu/q2/video-extension/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Vidu · Q2 · Video Extension · Pro 정보

`video_url`의 동영상을 최대 3000자의 `prompt`로 선택적으로 제어하며 연장합니다. `duration`은 추가 길이를 2~7초로 설정하고, `resolution`은 720p 또는 1080p입니다. `seed`로 재현 가능한 결과를 얻을 수 있습니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
video_url필수 video
유형url · video
확장할 클립을 식별하는 동영상 URL입니다.
prompt선택 사항
유형string | null
≤ 3,000자
동영상 확장 방식을 안내하는 텍스트 지침입니다.
seed선택 사항
유형integer | null
생성을 재현 가능하게 하는 시드입니다. None으로 설정하면 무작위로 선택됩니다.
duration선택 사항
유형enum
기본값4
234567
추가할 세그먼트의 길이(초)입니다.
resolution선택 사항
유형enum
기본값720p
720p1080p
결과 동영상의 해상도입니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "vidu/q2/video-extension/pro",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size}Q2 모델이 확장한 동영상입니다.

더 많은 모델: 동영상을 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/vidu/q2/video-extension/pro.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt